package cn.iocoder.yudao.module.server.enums;

import cn.iocoder.yudao.framework.common.exception.ErrorCode;

public interface ErrorCodeConstants {
    ErrorCode WORKORDER_INFOS_NOT_EXISTS = new ErrorCode(1_002_028_000, "工单信息不存在");
    ErrorCode WORKORDER_TYPE_NOT_EXISTS = new ErrorCode(1_002_028_000, "工单类型不存在");
    ErrorCode WORKORDER_TYPE_EXITS_CHILDREN = new ErrorCode(1_002_028_000, "存在存在子工单类型，无法删除");
    ErrorCode WORKORDER_INFO_EXITS = new ErrorCode(1_002_028_000, "工单列表中存在此工单类型，无法删除");
    ErrorCode WORKORDER_TYPE_PARENT_NOT_EXITS = new ErrorCode(1_002_028_000,"父级工单类型不存在");
    ErrorCode WORKORDER_TYPE_PARENT_ERROR = new ErrorCode(1_002_028_000, "不能设置自己为父工单类型");
    ErrorCode WORKORDER_TYPE_NAME_DUPLICATE = new ErrorCode(1_002_028_000, "已经存在该工单类型名称的工单类型");
    ErrorCode WORKORDER_TYPE_PARENT_IS_CHILD = new ErrorCode(1_002_028_000, "不能设置自己的子WorkorderType为父WorkorderType");

    ErrorCode HARMFUL_INFO_REPORT_NOT_EXISTS = new ErrorCode(1_002_028_000,"信息上报不存在");
    ErrorCode RECTIFY_INFO_REPORT_NOT_EXISTS = new ErrorCode(1_002_028_000,"结果上报不存在");
    ErrorCode INTERVIEW_ARTICLE_NOT_EXISTS = new ErrorCode(1_002_028_000,"访谈稿不存在");
    ErrorCode MATERIAL_INFO_NOT_EXISTS = new ErrorCode(1_002_028_000,"资料库不存在");

    ErrorCode MATERIAL_CATEGORY_NOT_EXISTS = new ErrorCode(1_002_028_000, "资料分类不存在");
    ErrorCode MATERIAL_CATEGORY_EXITS_CHILDREN = new ErrorCode(1_002_028_000, "存在存在子资料分类，无法删除");
    ErrorCode MATERIAL_CATEGORY_PARENT_NOT_EXITS = new ErrorCode(1_002_028_000,"父级资料分类不存在");
    ErrorCode MATERIAL_CATEGORY_PARENT_ERROR = new ErrorCode(1_002_028_000, "不能设置自己为父资料分类");
    ErrorCode MATERIAL_CATEGORY_NAME_DUPLICATE = new ErrorCode(1_002_028_000, "已经存在该分类名称的资料分类");
    ErrorCode MATERIAL_CATEGORY_PARENT_IS_CHILD = new ErrorCode(1_002_028_000, "不能设置自己的子MaterialCategory为父MaterialCategory");
    ErrorCode MATERIAL_SHARE_USER_NOT_EXISTS = new ErrorCode(1_002_028_000, "用户选择");
    ErrorCode MATERIAL_DOWNLOAD_LOG_NOT_EXISTS = new ErrorCode(1_002_028_000, "资料下载日志");
    ErrorCode MANUFACTURER_NOT_EXISTS = new ErrorCode(1_002_028_000, "厂商信息");
    ErrorCode TECH_ORG_NOT_EXISTS = new ErrorCode(1_002_028_000, "技术信息");
    ErrorCode REVERSE_PROXY_NOT_EXISTS = new ErrorCode(1_002_028_000, "技术信息");
    ErrorCode FILE_FOR_CONFIG_NOT_EXISTS = new ErrorCode(1_002_028_000, "文件配置");
    ErrorCode POLICY_COMMUNICATIONS_NOT_EXISTS = new ErrorCode(1_002_028_000, "政策沟通");
    ErrorCode SMS_RECORD_NOT_EXISTS = new ErrorCode(1_002_028_000, "短信");
    ErrorCode CAPTCHA_NOT_MATCH = new ErrorCode(1_002_028_111, "验证码过期");


}
